#!/usr/bin/python
# -*- coding: UTF-8 -*-
import sys
from define import UpdateCode, OTAError
from amitime import AmitimeOta


if __name__ == '__main__':
    ret = UpdateCode.FAILED
    msg = ''
    try:
        ota = AmitimeOta(sys.argv[1], sys.argv[2], sys.argv[3], sys.argv[4])
        ota.run()
        ret = ota.result_code
        msg = ota.result_message
    except OTAError as e:
        ret = e.code
        msg = e.message
    except Exception as e:
        ret = UpdateCode.EXCEPTION
        msg = repr(e)

    if msg and ret != UpdateCode.SUCCESS:
        sys.stderr.write(str(msg))
    sys.exit(ret)
